/*===========================================================================*/
/*   (Ieee/equiv.scm)                                                        */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Ieee/equiv.scm -indent -o objs/obj_u/Ieee/equiv.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___R4_EQUIVALENCE_6_2_TYPE_DEFINITIONS
#define BGL___R4_EQUIVALENCE_6_2_TYPE_DEFINITIONS

/* object type definitions */

#endif													// BGL___R4_EQUIVALENCE_6_2_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00 =
		BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t,
		obj_t);
	static obj_t BGl_z62eqzf3z91zz__r4_equivalence_6_2z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern bool_t ucs2_strcmp(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__r4_equivalence_6_2z00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zz__r4_equivalence_6_2z00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__r4_equivalence_6_2z00(void);
	static obj_t BGl_objectzd2initzd2zz__r4_equivalence_6_2z00(void);
	extern obj_t BGl_homogeneouszd2vectorzd2infoz00zz__srfi4z00(obj_t);
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_objectzd2equalzf3z21zz__objectz00(BgL_objectz00_bglt,
		BgL_objectz00_bglt);
	extern obj_t bgl_weakptr_data(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_eqzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__r4_equivalence_6_2z00(void);
	extern long bgl_date_to_seconds(obj_t);
	static obj_t BGl_z62equalzf3z91zz__r4_equivalence_6_2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62eqvzf3z91zz__r4_equivalence_6_2z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		BGL_DEFINE_STRING(BGl_string1649z00zz__r4_equivalence_6_2z00,
		BgL_bgl_string1649za700za7za7_1650za7, "__r4_equivalence_6_2", 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_eqvzf3zd2envz21zz__r4_equivalence_6_2z00,
		BgL_bgl_za762eqvza7f3za791za7za7__1651za7,
		BGl_z62eqvzf3z91zz__r4_equivalence_6_2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00,
		BgL_bgl_za762eqza7f3za791za7za7__r1652za7,
		BGl_z62eqzf3z91zz__r4_equivalence_6_2z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00,
		BgL_bgl_za762equalza7f3za791za7za71653za7,
		BGl_z62equalzf3z91zz__r4_equivalence_6_2z00, 0L, BUNSPEC, 2);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_PROCEDURE(BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00,
			BgL_bgl_za762equalza7f3za791za7za71653za7);
		BGL_BIND_PROCEDURE(BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00,
			BgL_bgl_za762eqza7f3za791za7za7__r1652za7);
		BGL_BIND_PROCEDURE(BGl_eqvzf3zd2envz21zz__r4_equivalence_6_2z00,
			BgL_bgl_za762eqvza7f3za791za7za7__1651za7);
		BGL_BIND_STRING(BGl_string1649z00zz__r4_equivalence_6_2z00,
			BgL_bgl_string1649za700za7za7_1650za7);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long
		BgL_checksumz00_1941, char *BgL_fromz00_1942)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00))
				{
					BGl_requirezd2initializa7ationz75zz__r4_equivalence_6_2z00 =
						BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__r4_equivalence_6_2z00();
					BGl_importedzd2moduleszd2initz00zz__r4_equivalence_6_2z00();
					return BGl_methodzd2initzd2zz__r4_equivalence_6_2z00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__r4_equivalence_6_2z00(void)
	{
		{	/* Ieee/equiv.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* eq? */
	BGL_EXPORTED_DEF bool_t BGl_eqzf3zf3zz__r4_equivalence_6_2z00(obj_t
		BgL_obj1z00_3, obj_t BgL_obj2z00_4)
	{
		{	/* Ieee/equiv.scm 70 */
			return (BgL_obj1z00_3 == BgL_obj2z00_4);
		}

	}



/* &eq? */
	obj_t BGl_z62eqzf3z91zz__r4_equivalence_6_2z00(obj_t BgL_envz00_1932,
		obj_t BgL_obj1z00_1933, obj_t BgL_obj2z00_1934)
	{
		{	/* Ieee/equiv.scm 70 */
			return
				BBOOL(BGl_eqzf3zf3zz__r4_equivalence_6_2z00(BgL_obj1z00_1933,
					BgL_obj2z00_1934));
		}

	}



/* eqv? */
	BGL_EXPORTED_DEF bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t
		BgL_obj1z00_5, obj_t BgL_obj2z00_6)
	{
		{	/* Ieee/equiv.scm 76 */
		BGl_eqvzf3zf3zz__r4_equivalence_6_2z00:
			if ((BgL_obj1z00_5 == BgL_obj2z00_6))
				{	/* Ieee/equiv.scm 78 */
					return ((bool_t) 1);
				}
			else
				{	/* Ieee/equiv.scm 80 */
					bool_t BgL_test1656z00_1956;

					{	/* Ieee/equiv.scm 80 */
						bool_t BgL__ortest_1075z00_1710;

						BgL__ortest_1075z00_1710 = INTEGERP(BgL_obj1z00_5);
						if (BgL__ortest_1075z00_1710)
							{	/* Ieee/equiv.scm 80 */
								BgL_test1656z00_1956 = BgL__ortest_1075z00_1710;
							}
						else
							{	/* Ieee/equiv.scm 80 */
								bool_t BgL__ortest_1076z00_1711;

								BgL__ortest_1076z00_1711 = ELONGP(BgL_obj1z00_5);
								if (BgL__ortest_1076z00_1711)
									{	/* Ieee/equiv.scm 80 */
										BgL_test1656z00_1956 = BgL__ortest_1076z00_1711;
									}
								else
									{	/* Ieee/equiv.scm 80 */
										bool_t BgL__ortest_1077z00_1712;

										BgL__ortest_1077z00_1712 = LLONGP(BgL_obj1z00_5);
										if (BgL__ortest_1077z00_1712)
											{	/* Ieee/equiv.scm 80 */
												BgL_test1656z00_1956 = BgL__ortest_1077z00_1712;
											}
										else
											{	/* Ieee/equiv.scm 80 */
												bool_t BgL__ortest_1078z00_1713;

												BgL__ortest_1078z00_1713 = BGL_INT8P(BgL_obj1z00_5);
												if (BgL__ortest_1078z00_1713)
													{	/* Ieee/equiv.scm 80 */
														BgL_test1656z00_1956 = BgL__ortest_1078z00_1713;
													}
												else
													{	/* Ieee/equiv.scm 80 */
														bool_t BgL__ortest_1079z00_1714;

														BgL__ortest_1079z00_1714 =
															BGL_UINT8P(BgL_obj1z00_5);
														if (BgL__ortest_1079z00_1714)
															{	/* Ieee/equiv.scm 80 */
																BgL_test1656z00_1956 = BgL__ortest_1079z00_1714;
															}
														else
															{	/* Ieee/equiv.scm 80 */
																bool_t BgL__ortest_1080z00_1715;

																BgL__ortest_1080z00_1715 =
																	BGL_INT16P(BgL_obj1z00_5);
																if (BgL__ortest_1080z00_1715)
																	{	/* Ieee/equiv.scm 80 */
																		BgL_test1656z00_1956 =
																			BgL__ortest_1080z00_1715;
																	}
																else
																	{	/* Ieee/equiv.scm 80 */
																		bool_t BgL__ortest_1081z00_1716;

																		BgL__ortest_1081z00_1716 =
																			BGL_UINT16P(BgL_obj1z00_5);
																		if (BgL__ortest_1081z00_1716)
																			{	/* Ieee/equiv.scm 80 */
																				BgL_test1656z00_1956 =
																					BgL__ortest_1081z00_1716;
																			}
																		else
																			{	/* Ieee/equiv.scm 80 */
																				bool_t BgL__ortest_1082z00_1717;

																				BgL__ortest_1082z00_1717 =
																					BGL_INT32P(BgL_obj1z00_5);
																				if (BgL__ortest_1082z00_1717)
																					{	/* Ieee/equiv.scm 80 */
																						BgL_test1656z00_1956 =
																							BgL__ortest_1082z00_1717;
																					}
																				else
																					{	/* Ieee/equiv.scm 80 */
																						bool_t BgL__ortest_1083z00_1718;

																						BgL__ortest_1083z00_1718 =
																							BGL_UINT32P(BgL_obj1z00_5);
																						if (BgL__ortest_1083z00_1718)
																							{	/* Ieee/equiv.scm 80 */
																								BgL_test1656z00_1956 =
																									BgL__ortest_1083z00_1718;
																							}
																						else
																							{	/* Ieee/equiv.scm 80 */
																								bool_t BgL__ortest_1084z00_1719;

																								BgL__ortest_1084z00_1719 =
																									BGL_INT64P(BgL_obj1z00_5);
																								if (BgL__ortest_1084z00_1719)
																									{	/* Ieee/equiv.scm 80 */
																										BgL_test1656z00_1956 =
																											BgL__ortest_1084z00_1719;
																									}
																								else
																									{	/* Ieee/equiv.scm 80 */
																										bool_t
																											BgL__ortest_1085z00_1720;
																										BgL__ortest_1085z00_1720 =
																											BGL_UINT64P
																											(BgL_obj1z00_5);
																										if (BgL__ortest_1085z00_1720)
																											{	/* Ieee/equiv.scm 80 */
																												BgL_test1656z00_1956 =
																													BgL__ortest_1085z00_1720;
																											}
																										else
																											{	/* Ieee/equiv.scm 80 */
																												BgL_test1656z00_1956 =
																													BIGNUMP
																													(BgL_obj1z00_5);
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
					if (BgL_test1656z00_1956)
						{	/* Ieee/equiv.scm 81 */
							bool_t BgL_test1668z00_1980;

							{	/* Ieee/equiv.scm 81 */
								bool_t BgL__ortest_1075z00_1722;

								BgL__ortest_1075z00_1722 = INTEGERP(BgL_obj2z00_6);
								if (BgL__ortest_1075z00_1722)
									{	/* Ieee/equiv.scm 81 */
										BgL_test1668z00_1980 = BgL__ortest_1075z00_1722;
									}
								else
									{	/* Ieee/equiv.scm 81 */
										bool_t BgL__ortest_1076z00_1723;

										BgL__ortest_1076z00_1723 = ELONGP(BgL_obj2z00_6);
										if (BgL__ortest_1076z00_1723)
											{	/* Ieee/equiv.scm 81 */
												BgL_test1668z00_1980 = BgL__ortest_1076z00_1723;
											}
										else
											{	/* Ieee/equiv.scm 81 */
												bool_t BgL__ortest_1077z00_1724;

												BgL__ortest_1077z00_1724 = LLONGP(BgL_obj2z00_6);
												if (BgL__ortest_1077z00_1724)
													{	/* Ieee/equiv.scm 81 */
														BgL_test1668z00_1980 = BgL__ortest_1077z00_1724;
													}
												else
													{	/* Ieee/equiv.scm 81 */
														bool_t BgL__ortest_1078z00_1725;

														BgL__ortest_1078z00_1725 = BGL_INT8P(BgL_obj2z00_6);
														if (BgL__ortest_1078z00_1725)
															{	/* Ieee/equiv.scm 81 */
																BgL_test1668z00_1980 = BgL__ortest_1078z00_1725;
															}
														else
															{	/* Ieee/equiv.scm 81 */
																bool_t BgL__ortest_1079z00_1726;

																BgL__ortest_1079z00_1726 =
																	BGL_UINT8P(BgL_obj2z00_6);
																if (BgL__ortest_1079z00_1726)
																	{	/* Ieee/equiv.scm 81 */
																		BgL_test1668z00_1980 =
																			BgL__ortest_1079z00_1726;
																	}
																else
																	{	/* Ieee/equiv.scm 81 */
																		bool_t BgL__ortest_1080z00_1727;

																		BgL__ortest_1080z00_1727 =
																			BGL_INT16P(BgL_obj2z00_6);
																		if (BgL__ortest_1080z00_1727)
																			{	/* Ieee/equiv.scm 81 */
																				BgL_test1668z00_1980 =
																					BgL__ortest_1080z00_1727;
																			}
																		else
																			{	/* Ieee/equiv.scm 81 */
																				bool_t BgL__ortest_1081z00_1728;

																				BgL__ortest_1081z00_1728 =
																					BGL_UINT16P(BgL_obj2z00_6);
																				if (BgL__ortest_1081z00_1728)
																					{	/* Ieee/equiv.scm 81 */
																						BgL_test1668z00_1980 =
																							BgL__ortest_1081z00_1728;
																					}
																				else
																					{	/* Ieee/equiv.scm 81 */
																						bool_t BgL__ortest_1082z00_1729;

																						BgL__ortest_1082z00_1729 =
																							BGL_INT32P(BgL_obj2z00_6);
																						if (BgL__ortest_1082z00_1729)
																							{	/* Ieee/equiv.scm 81 */
																								BgL_test1668z00_1980 =
																									BgL__ortest_1082z00_1729;
																							}
																						else
																							{	/* Ieee/equiv.scm 81 */
																								bool_t BgL__ortest_1083z00_1730;

																								BgL__ortest_1083z00_1730 =
																									BGL_UINT32P(BgL_obj2z00_6);
																								if (BgL__ortest_1083z00_1730)
																									{	/* Ieee/equiv.scm 81 */
																										BgL_test1668z00_1980 =
																											BgL__ortest_1083z00_1730;
																									}
																								else
																									{	/* Ieee/equiv.scm 81 */
																										bool_t
																											BgL__ortest_1084z00_1731;
																										BgL__ortest_1084z00_1731 =
																											BGL_INT64P(BgL_obj2z00_6);
																										if (BgL__ortest_1084z00_1731)
																											{	/* Ieee/equiv.scm 81 */
																												BgL_test1668z00_1980 =
																													BgL__ortest_1084z00_1731;
																											}
																										else
																											{	/* Ieee/equiv.scm 81 */
																												bool_t
																													BgL__ortest_1085z00_1732;
																												BgL__ortest_1085z00_1732
																													=
																													BGL_UINT64P
																													(BgL_obj2z00_6);
																												if (BgL__ortest_1085z00_1732)
																													{	/* Ieee/equiv.scm 81 */
																														BgL_test1668z00_1980
																															=
																															BgL__ortest_1085z00_1732;
																													}
																												else
																													{	/* Ieee/equiv.scm 81 */
																														BgL_test1668z00_1980
																															=
																															BIGNUMP
																															(BgL_obj2z00_6);
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
							if (BgL_test1668z00_1980)
								{	/* Ieee/equiv.scm 81 */
									bool_t BgL_test1680z00_2004;

									if (INTEGERP(BgL_obj1z00_5))
										{	/* Ieee/equiv.scm 81 */
											BgL_test1680z00_2004 = INTEGERP(BgL_obj2z00_6);
										}
									else
										{	/* Ieee/equiv.scm 81 */
											BgL_test1680z00_2004 = ((bool_t) 0);
										}
									if (BgL_test1680z00_2004)
										{	/* Ieee/equiv.scm 81 */
											return
												(
												(long) CINT(BgL_obj1z00_5) ==
												(long) CINT(BgL_obj2z00_6));
										}
									else
										{	/* Ieee/equiv.scm 81 */
											BGL_TAIL return
												BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_obj1z00_5,
												BgL_obj2z00_6);
										}
								}
							else
								{	/* Ieee/equiv.scm 81 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* Ieee/equiv.scm 80 */
							if (REALP(BgL_obj1z00_5))
								{	/* Ieee/equiv.scm 82 */
									if (REALP(BgL_obj2z00_6))
										{	/* Ieee/equiv.scm 83 */
											BGL_TAIL return
												BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_obj1z00_5,
												BgL_obj2z00_6);
										}
									else
										{	/* Ieee/equiv.scm 83 */
											return ((bool_t) 0);
										}
								}
							else
								{	/* Ieee/equiv.scm 82 */
									if (SYMBOLP(BgL_obj1z00_5))
										{	/* Ieee/equiv.scm 84 */
											return ((bool_t) 0);
										}
									else
										{	/* Ieee/equiv.scm 84 */
											if (FOREIGNP(BgL_obj1z00_5))
												{	/* Ieee/equiv.scm 89 */
													if (FOREIGNP(BgL_obj2z00_6))
														{	/* Ieee/equiv.scm 90 */
															return FOREIGN_EQP(BgL_obj1z00_5, BgL_obj2z00_6);
														}
													else
														{	/* Ieee/equiv.scm 90 */
															return ((bool_t) 0);
														}
												}
											else
												{	/* Ieee/equiv.scm 89 */
													if (BGL_WEAKPTRP(BgL_obj1z00_5))
														{	/* Ieee/equiv.scm 91 */
															if (BGL_WEAKPTRP(BgL_obj2z00_6))
																{
																	obj_t BgL_obj2z00_2030;
																	obj_t BgL_obj1z00_2028;

																	BgL_obj1z00_2028 =
																		bgl_weakptr_data(BgL_obj1z00_5);
																	BgL_obj2z00_2030 =
																		bgl_weakptr_data(BgL_obj2z00_6);
																	BgL_obj2z00_6 = BgL_obj2z00_2030;
																	BgL_obj1z00_5 = BgL_obj1z00_2028;
																	goto BGl_eqvzf3zf3zz__r4_equivalence_6_2z00;
																}
															else
																{	/* Ieee/equiv.scm 92 */
																	return ((bool_t) 0);
																}
														}
													else
														{	/* Ieee/equiv.scm 91 */
															return ((bool_t) 0);
														}
												}
										}
								}
						}
				}
		}

	}



/* &eqv? */
	obj_t BGl_z62eqvzf3z91zz__r4_equivalence_6_2z00(obj_t BgL_envz00_1935,
		obj_t BgL_obj1z00_1936, obj_t BgL_obj2z00_1937)
	{
		{	/* Ieee/equiv.scm 76 */
			return
				BBOOL(BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_obj1z00_1936,
					BgL_obj2z00_1937));
		}

	}



/* equal? */
	BGL_EXPORTED_DEF bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t
		BgL_obj1z00_7, obj_t BgL_obj2z00_8)
	{
		{	/* Ieee/equiv.scm 99 */
		BGl_equalzf3zf3zz__r4_equivalence_6_2z00:
			if ((BgL_obj1z00_7 == BgL_obj2z00_8))
				{	/* Ieee/equiv.scm 101 */
					return ((bool_t) 1);
				}
			else
				{	/* Ieee/equiv.scm 101 */
					if (STRINGP(BgL_obj1z00_7))
						{	/* Ieee/equiv.scm 103 */
							if (STRINGP(BgL_obj2z00_8))
								{	/* Ieee/equiv.scm 104 */
									long BgL_l1z00_1742;

									BgL_l1z00_1742 = STRING_LENGTH(BgL_obj1z00_7);
									if ((BgL_l1z00_1742 == STRING_LENGTH(BgL_obj2z00_8)))
										{	/* Ieee/equiv.scm 104 */
											int BgL_arg1252z00_1745;

											{	/* Ieee/equiv.scm 104 */
												char *BgL_auxz00_2046;
												char *BgL_tmpz00_2044;

												BgL_auxz00_2046 = BSTRING_TO_STRING(BgL_obj2z00_8);
												BgL_tmpz00_2044 = BSTRING_TO_STRING(BgL_obj1z00_7);
												BgL_arg1252z00_1745 =
													memcmp(BgL_tmpz00_2044, BgL_auxz00_2046,
													BgL_l1z00_1742);
											}
											return ((long) (BgL_arg1252z00_1745) == 0L);
										}
									else
										{	/* Ieee/equiv.scm 104 */
											return ((bool_t) 0);
										}
								}
							else
								{	/* Ieee/equiv.scm 104 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* Ieee/equiv.scm 103 */
							if (SYMBOLP(BgL_obj1z00_7))
								{	/* Ieee/equiv.scm 105 */
									return ((bool_t) 0);
								}
							else
								{	/* Ieee/equiv.scm 105 */
									if (PAIRP(BgL_obj1z00_7))
										{	/* Ieee/equiv.scm 107 */
											if (PAIRP(BgL_obj2z00_8))
												{	/* Ieee/equiv.scm 108 */
													if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR
															(BgL_obj1z00_7), CAR(BgL_obj2z00_8)))
														{
															obj_t BgL_obj2z00_2063;
															obj_t BgL_obj1z00_2061;

															BgL_obj1z00_2061 = CDR(BgL_obj1z00_7);
															BgL_obj2z00_2063 = CDR(BgL_obj2z00_8);
															BgL_obj2z00_8 = BgL_obj2z00_2063;
															BgL_obj1z00_7 = BgL_obj1z00_2061;
															goto BGl_equalzf3zf3zz__r4_equivalence_6_2z00;
														}
													else
														{	/* Ieee/equiv.scm 109 */
															return ((bool_t) 0);
														}
												}
											else
												{	/* Ieee/equiv.scm 108 */
													return ((bool_t) 0);
												}
										}
									else
										{	/* Ieee/equiv.scm 107 */
											if (VECTORP(BgL_obj1z00_7))
												{	/* Ieee/equiv.scm 111 */
													if (VECTORP(BgL_obj2z00_8))
														{	/* Ieee/equiv.scm 113 */
															if (
																(VECTOR_LENGTH(BgL_obj2z00_8) ==
																	VECTOR_LENGTH(BgL_obj1z00_7)))
																{	/* Ieee/equiv.scm 115 */
																	bool_t BgL_test1700z00_2073;

																	{	/* Ieee/equiv.scm 115 */
																		int BgL_arg1187z00_1239;
																		int BgL_arg1189z00_1240;

																		BgL_arg1187z00_1239 =
																			VECTOR_TAG(BgL_obj1z00_7);
																		BgL_arg1189z00_1240 =
																			VECTOR_TAG(BgL_obj2z00_8);
																		BgL_test1700z00_2073 =
																			(
																			(long) (BgL_arg1187z00_1239) ==
																			(long) (BgL_arg1189z00_1240));
																	}
																	if (BgL_test1700z00_2073)
																		{
																			long BgL_iz00_1771;

																			BgL_iz00_1771 = 0L;
																		BgL_testz00_1770:
																			{	/* Ieee/equiv.scm 117 */
																				bool_t BgL__ortest_1046z00_1772;

																				BgL__ortest_1046z00_1772 =
																					(BgL_iz00_1771 ==
																					VECTOR_LENGTH(BgL_obj1z00_7));
																				if (BgL__ortest_1046z00_1772)
																					{	/* Ieee/equiv.scm 117 */
																						return BgL__ortest_1046z00_1772;
																					}
																				else
																					{	/* Ieee/equiv.scm 118 */
																						bool_t BgL_test1702z00_2082;

																						{	/* Ieee/equiv.scm 118 */
																							obj_t BgL_arg1169z00_1776;
																							obj_t BgL_arg1170z00_1777;

																							BgL_arg1169z00_1776 =
																								VECTOR_REF(
																								((obj_t) BgL_obj1z00_7),
																								BgL_iz00_1771);
																							BgL_arg1170z00_1777 =
																								VECTOR_REF(((obj_t)
																									BgL_obj2z00_8),
																								BgL_iz00_1771);
																							BgL_test1702z00_2082 =
																								BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																								(BgL_arg1169z00_1776,
																								BgL_arg1170z00_1777);
																						}
																						if (BgL_test1702z00_2082)
																							{
																								long BgL_iz00_2088;

																								BgL_iz00_2088 =
																									(BgL_iz00_1771 + 1L);
																								BgL_iz00_1771 = BgL_iz00_2088;
																								goto BgL_testz00_1770;
																							}
																						else
																							{	/* Ieee/equiv.scm 118 */
																								return ((bool_t) 0);
																							}
																					}
																			}
																		}
																	else
																		{	/* Ieee/equiv.scm 115 */
																			return ((bool_t) 0);
																		}
																}
															else
																{	/* Ieee/equiv.scm 114 */
																	return ((bool_t) 0);
																}
														}
													else
														{	/* Ieee/equiv.scm 113 */
															return ((bool_t) 0);
														}
												}
											else
												{	/* Ieee/equiv.scm 111 */
													if (BGl_eqvzf3zf3zz__r4_equivalence_6_2z00
														(BgL_obj1z00_7, BgL_obj2z00_8))
														{	/* Ieee/equiv.scm 121 */
															return ((bool_t) 1);
														}
													else
														{	/* Ieee/equiv.scm 121 */
															if (INTEGERP(BgL_obj1z00_7))
																{	/* Ieee/equiv.scm 123 */
																	return ((bool_t) 0);
																}
															else
																{	/* Ieee/equiv.scm 123 */
																	if (BGL_HVECTORP(BgL_obj1z00_7))
																		{	/* Ieee/equiv.scm 126 */
																			long BgL_lobj1z00_1245;

																			BgL_lobj1z00_1245 =
																				BGL_HVECTOR_LENGTH(BgL_obj1z00_7);
																			if (BGL_HVECTORP(BgL_obj2z00_8))
																				{	/* Ieee/equiv.scm 128 */
																					bool_t BgL_test1707z00_2099;

																					{	/* Ieee/equiv.scm 128 */
																						long BgL_arg1203z00_1268;

																						BgL_arg1203z00_1268 =
																							BGL_HVECTOR_LENGTH(BgL_obj2z00_8);
																						BgL_test1707z00_2099 =
																							(BgL_arg1203z00_1268 ==
																							BgL_lobj1z00_1245);
																					}
																					if (BgL_test1707z00_2099)
																						{	/* Ieee/equiv.scm 129 */
																							obj_t BgL_tag1z00_1248;

																							BgL_tag1z00_1248 =
																								BGl_homogeneouszd2vectorzd2infoz00zz__srfi4z00
																								(BgL_obj1z00_7);
																							{	/* Ieee/equiv.scm 130 */
																								obj_t BgL__z00_1249;
																								obj_t BgL_getz00_1250;
																								obj_t BgL__z00_1251;
																								obj_t BgL_cmpz00_1252;

																								{	/* Ieee/equiv.scm 131 */
																									obj_t BgL_tmpz00_1786;

																									{	/* Ieee/equiv.scm 131 */
																										int BgL_tmpz00_2103;

																										BgL_tmpz00_2103 =
																											(int) (1L);
																										BgL_tmpz00_1786 =
																											BGL_MVALUES_VAL
																											(BgL_tmpz00_2103);
																									}
																									{	/* Ieee/equiv.scm 131 */
																										int BgL_tmpz00_2106;

																										BgL_tmpz00_2106 =
																											(int) (1L);
																										BGL_MVALUES_VAL_SET
																											(BgL_tmpz00_2106,
																											BUNSPEC);
																									}
																									BgL__z00_1249 =
																										BgL_tmpz00_1786;
																								}
																								{	/* Ieee/equiv.scm 131 */
																									obj_t BgL_tmpz00_1787;

																									{	/* Ieee/equiv.scm 131 */
																										int BgL_tmpz00_2109;

																										BgL_tmpz00_2109 =
																											(int) (2L);
																										BgL_tmpz00_1787 =
																											BGL_MVALUES_VAL
																											(BgL_tmpz00_2109);
																									}
																									{	/* Ieee/equiv.scm 131 */
																										int BgL_tmpz00_2112;

																										BgL_tmpz00_2112 =
																											(int) (2L);
																										BGL_MVALUES_VAL_SET
																											(BgL_tmpz00_2112,
																											BUNSPEC);
																									}
																									BgL_getz00_1250 =
																										BgL_tmpz00_1787;
																								}
																								{	/* Ieee/equiv.scm 131 */
																									obj_t BgL_tmpz00_1788;

																									{	/* Ieee/equiv.scm 131 */
																										int BgL_tmpz00_2115;

																										BgL_tmpz00_2115 =
																											(int) (3L);
																										BgL_tmpz00_1788 =
																											BGL_MVALUES_VAL
																											(BgL_tmpz00_2115);
																									}
																									{	/* Ieee/equiv.scm 131 */
																										int BgL_tmpz00_2118;

																										BgL_tmpz00_2118 =
																											(int) (3L);
																										BGL_MVALUES_VAL_SET
																											(BgL_tmpz00_2118,
																											BUNSPEC);
																									}
																									BgL__z00_1251 =
																										BgL_tmpz00_1788;
																								}
																								{	/* Ieee/equiv.scm 131 */
																									obj_t BgL_tmpz00_1789;

																									{	/* Ieee/equiv.scm 131 */
																										int BgL_tmpz00_2121;

																										BgL_tmpz00_2121 =
																											(int) (4L);
																										BgL_tmpz00_1789 =
																											BGL_MVALUES_VAL
																											(BgL_tmpz00_2121);
																									}
																									{	/* Ieee/equiv.scm 131 */
																										int BgL_tmpz00_2124;

																										BgL_tmpz00_2124 =
																											(int) (4L);
																										BGL_MVALUES_VAL_SET
																											(BgL_tmpz00_2124,
																											BUNSPEC);
																									}
																									BgL_cmpz00_1252 =
																										BgL_tmpz00_1789;
																								}
																								{	/* Ieee/equiv.scm 131 */
																									obj_t BgL_tag2z00_1253;

																									BgL_tag2z00_1253 =
																										BGl_homogeneouszd2vectorzd2infoz00zz__srfi4z00
																										(BgL_obj2z00_8);
																									{	/* Ieee/equiv.scm 132 */
																										obj_t BgL__z00_1254;
																										obj_t BgL__z00_1255;
																										obj_t BgL__z00_1256;
																										obj_t BgL__z00_1257;

																										{	/* Ieee/equiv.scm 133 */
																											obj_t BgL_tmpz00_1790;

																											{	/* Ieee/equiv.scm 133 */
																												int BgL_tmpz00_2128;

																												BgL_tmpz00_2128 =
																													(int) (1L);
																												BgL_tmpz00_1790 =
																													BGL_MVALUES_VAL
																													(BgL_tmpz00_2128);
																											}
																											{	/* Ieee/equiv.scm 133 */
																												int BgL_tmpz00_2131;

																												BgL_tmpz00_2131 =
																													(int) (1L);
																												BGL_MVALUES_VAL_SET
																													(BgL_tmpz00_2131,
																													BUNSPEC);
																											}
																											BgL__z00_1254 =
																												BgL_tmpz00_1790;
																										}
																										{	/* Ieee/equiv.scm 133 */
																											obj_t BgL_tmpz00_1791;

																											{	/* Ieee/equiv.scm 133 */
																												int BgL_tmpz00_2134;

																												BgL_tmpz00_2134 =
																													(int) (2L);
																												BgL_tmpz00_1791 =
																													BGL_MVALUES_VAL
																													(BgL_tmpz00_2134);
																											}
																											{	/* Ieee/equiv.scm 133 */
																												int BgL_tmpz00_2137;

																												BgL_tmpz00_2137 =
																													(int) (2L);
																												BGL_MVALUES_VAL_SET
																													(BgL_tmpz00_2137,
																													BUNSPEC);
																											}
																											BgL__z00_1255 =
																												BgL_tmpz00_1791;
																										}
																										{	/* Ieee/equiv.scm 133 */
																											obj_t BgL_tmpz00_1792;

																											{	/* Ieee/equiv.scm 133 */
																												int BgL_tmpz00_2140;

																												BgL_tmpz00_2140 =
																													(int) (3L);
																												BgL_tmpz00_1792 =
																													BGL_MVALUES_VAL
																													(BgL_tmpz00_2140);
																											}
																											{	/* Ieee/equiv.scm 133 */
																												int BgL_tmpz00_2143;

																												BgL_tmpz00_2143 =
																													(int) (3L);
																												BGL_MVALUES_VAL_SET
																													(BgL_tmpz00_2143,
																													BUNSPEC);
																											}
																											BgL__z00_1256 =
																												BgL_tmpz00_1792;
																										}
																										{	/* Ieee/equiv.scm 133 */
																											obj_t BgL_tmpz00_1793;

																											{	/* Ieee/equiv.scm 133 */
																												int BgL_tmpz00_2146;

																												BgL_tmpz00_2146 =
																													(int) (4L);
																												BgL_tmpz00_1793 =
																													BGL_MVALUES_VAL
																													(BgL_tmpz00_2146);
																											}
																											{	/* Ieee/equiv.scm 133 */
																												int BgL_tmpz00_2149;

																												BgL_tmpz00_2149 =
																													(int) (4L);
																												BGL_MVALUES_VAL_SET
																													(BgL_tmpz00_2149,
																													BUNSPEC);
																											}
																											BgL__z00_1257 =
																												BgL_tmpz00_1793;
																										}
																										if (
																											(BgL_tag1z00_1248 ==
																												BgL_tag2z00_1253))
																											{
																												long BgL_iz00_1260;

																												BgL_iz00_1260 = 0L;
																											BgL_zc3z04anonymousza31196ze3z87_1261:
																												{	/* Ieee/equiv.scm 135 */
																													bool_t
																														BgL__ortest_1051z00_1262;
																													BgL__ortest_1051z00_1262
																														=
																														(BgL_iz00_1260 ==
																														BgL_lobj1z00_1245);
																													if (BgL__ortest_1051z00_1262)
																														{	/* Ieee/equiv.scm 135 */
																															return
																																BgL__ortest_1051z00_1262;
																														}
																													else
																														{	/* Ieee/equiv.scm 136 */
																															obj_t
																																BgL__andtest_1052z00_1263;
																															{	/* Ieee/equiv.scm 136 */
																																obj_t
																																	BgL_arg1201z00_1265;
																																obj_t
																																	BgL_arg1202z00_1266;
																																BgL_arg1201z00_1265
																																	=
																																	BGL_PROCEDURE_CALL2
																																	(BgL_getz00_1250,
																																	BgL_obj1z00_7,
																																	BINT
																																	(BgL_iz00_1260));
																																BgL_arg1202z00_1266
																																	=
																																	BGL_PROCEDURE_CALL2
																																	(BgL_getz00_1250,
																																	BgL_obj2z00_8,
																																	BINT
																																	(BgL_iz00_1260));
																																BgL__andtest_1052z00_1263
																																	=
																																	BGL_PROCEDURE_CALL2
																																	(BgL_cmpz00_1252,
																																	BgL_arg1201z00_1265,
																																	BgL_arg1202z00_1266);
																															}
																															if (CBOOL
																																(BgL__andtest_1052z00_1263))
																																{
																																	long
																																		BgL_iz00_2175;
																																	BgL_iz00_2175
																																		=
																																		(BgL_iz00_1260
																																		+ 1L);
																																	BgL_iz00_1260
																																		=
																																		BgL_iz00_2175;
																																	goto
																																		BgL_zc3z04anonymousza31196ze3z87_1261;
																																}
																															else
																																{	/* Ieee/equiv.scm 136 */
																																	return (
																																		(bool_t) 0);
																																}
																														}
																												}
																											}
																										else
																											{	/* Ieee/equiv.scm 133 */
																												return ((bool_t) 0);
																											}
																									}
																								}
																							}
																						}
																					else
																						{	/* Ieee/equiv.scm 128 */
																							return ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Ieee/equiv.scm 127 */
																					return ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Ieee/equiv.scm 125 */
																			if (REALP(BgL_obj1z00_7))
																				{	/* Ieee/equiv.scm 138 */
																					return ((bool_t) 0);
																				}
																			else
																				{	/* Ieee/equiv.scm 138 */
																					if (STRUCTP(BgL_obj1z00_7))
																						{	/* Ieee/equiv.scm 141 */
																							int BgL_lobj1z00_1271;

																							BgL_lobj1z00_1271 =
																								STRUCT_LENGTH(BgL_obj1z00_7);
																							if (STRUCTP(BgL_obj2z00_8))
																								{	/* Ieee/equiv.scm 142 */
																									if (
																										((long) (STRUCT_LENGTH
																												(BgL_obj2z00_8)) ==
																											(long)
																											(BgL_lobj1z00_1271)))
																										{
																											long BgL_iz00_1809;

																											BgL_iz00_1809 = 0L;
																										BgL_testz00_1808:
																											{	/* Ieee/equiv.scm 145 */
																												bool_t
																													BgL__ortest_1055z00_1810;
																												BgL__ortest_1055z00_1810
																													=
																													(BgL_iz00_1809 ==
																													(long)
																													(BgL_lobj1z00_1271));
																												if (BgL__ortest_1055z00_1810)
																													{	/* Ieee/equiv.scm 145 */
																														return
																															BgL__ortest_1055z00_1810;
																													}
																												else
																													{	/* Ieee/equiv.scm 146 */
																														bool_t
																															BgL_test1716z00_2192;
																														{	/* Ieee/equiv.scm 146 */
																															obj_t
																																BgL_arg1208z00_1814;
																															obj_t
																																BgL_arg1211z00_1815;
																															BgL_arg1208z00_1814
																																=
																																STRUCT_REF((
																																	(obj_t)
																																	BgL_obj1z00_7),
																																(int)
																																(BgL_iz00_1809));
																															BgL_arg1211z00_1815
																																=
																																STRUCT_REF((
																																	(obj_t)
																																	BgL_obj2z00_8),
																																(int)
																																(BgL_iz00_1809));
																															BgL_test1716z00_2192
																																=
																																BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																																(BgL_arg1208z00_1814,
																																BgL_arg1211z00_1815);
																														}
																														if (BgL_test1716z00_2192)
																															{
																																long
																																	BgL_iz00_2200;
																																BgL_iz00_2200 =
																																	(BgL_iz00_1809
																																	+ 1L);
																																BgL_iz00_1809 =
																																	BgL_iz00_2200;
																																goto
																																	BgL_testz00_1808;
																															}
																														else
																															{	/* Ieee/equiv.scm 146 */
																																return ((bool_t)
																																	0);
																															}
																													}
																											}
																										}
																									else
																										{	/* Ieee/equiv.scm 143 */
																											return ((bool_t) 0);
																										}
																								}
																							else
																								{	/* Ieee/equiv.scm 142 */
																									return ((bool_t) 0);
																								}
																						}
																					else
																						{	/* Ieee/equiv.scm 140 */
																							if (CELLP(BgL_obj1z00_7))
																								{	/* Ieee/equiv.scm 148 */
																									if (CELLP(BgL_obj2z00_8))
																										{
																											obj_t BgL_obj2z00_2208;
																											obj_t BgL_obj1z00_2206;

																											BgL_obj1z00_2206 =
																												CELL_REF(BgL_obj1z00_7);
																											BgL_obj2z00_2208 =
																												CELL_REF(BgL_obj2z00_8);
																											BgL_obj2z00_8 =
																												BgL_obj2z00_2208;
																											BgL_obj1z00_7 =
																												BgL_obj1z00_2206;
																											goto
																												BGl_equalzf3zf3zz__r4_equivalence_6_2z00;
																										}
																									else
																										{	/* Ieee/equiv.scm 149 */
																											return ((bool_t) 0);
																										}
																								}
																							else
																								{	/* Ieee/equiv.scm 148 */
																									if (BGL_OBJECTP
																										(BgL_obj1z00_7))
																										{	/* Ieee/equiv.scm 150 */
																											if (BGL_OBJECTP
																												(BgL_obj2z00_8))
																												{	/* Ieee/equiv.scm 151 */
																													return
																														BGl_objectzd2equalzf3z21zz__objectz00
																														(((BgL_objectz00_bglt) BgL_obj1z00_7), ((BgL_objectz00_bglt) BgL_obj2z00_8));
																												}
																											else
																												{	/* Ieee/equiv.scm 151 */
																													return ((bool_t) 0);
																												}
																										}
																									else
																										{	/* Ieee/equiv.scm 150 */
																											if (UCS2_STRINGP
																												(BgL_obj1z00_7))
																												{	/* Ieee/equiv.scm 152 */
																													if (UCS2_STRINGP
																														(BgL_obj2z00_8))
																														{	/* Ieee/equiv.scm 153 */
																															return
																																ucs2_strcmp
																																(BgL_obj1z00_7,
																																BgL_obj2z00_8);
																														}
																													else
																														{	/* Ieee/equiv.scm 153 */
																															return ((bool_t)
																																0);
																														}
																												}
																											else
																												{	/* Ieee/equiv.scm 152 */
																													if (CUSTOMP
																														(BgL_obj1z00_7))
																														{	/* Ieee/equiv.scm 154 */
																															if (CUSTOMP
																																(BgL_obj2z00_8))
																																{	/* Ieee/equiv.scm 155 */
																																	return
																																		CUSTOM_CMP(
																																		((obj_t)
																																			BgL_obj1z00_7),
																																		((obj_t)
																																			BgL_obj2z00_8));
																																}
																															else
																																{	/* Ieee/equiv.scm 155 */
																																	return (
																																		(bool_t) 0);
																																}
																														}
																													else
																														{	/* Ieee/equiv.scm 154 */
																															if (UCS2P
																																(BgL_obj1z00_7))
																																{	/* Ieee/equiv.scm 156 */
																																	if (UCS2P
																																		(BgL_obj2z00_8))
																																		{	/* Ieee/equiv.scm 157 */
																																			return
																																				(CUCS2
																																				(BgL_obj1z00_7)
																																				==
																																				CUCS2
																																				(BgL_obj2z00_8));
																																		}
																																	else
																																		{	/* Ieee/equiv.scm 157 */
																																			return (
																																				(bool_t)
																																				0);
																																		}
																																}
																															else
																																{	/* Ieee/equiv.scm 156 */
																																	if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_obj1z00_7))
																																		{	/* Ieee/equiv.scm 158 */
																																			return (
																																				(bool_t)
																																				0);
																																		}
																																	else
																																		{	/* Ieee/equiv.scm 158 */
																																			if (BGL_DATEP(BgL_obj1z00_7))
																																				{	/* Ieee/equiv.scm 160 */
																																					if (BGL_DATEP(BgL_obj2z00_8))
																																						{	/* Ieee/equiv.scm 161 */
																																							return
																																								(bgl_date_to_seconds
																																								(BgL_obj1z00_7)
																																								==
																																								bgl_date_to_seconds
																																								(BgL_obj2z00_8));
																																						}
																																					else
																																						{	/* Ieee/equiv.scm 161 */
																																							return
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																			else
																																				{	/* Ieee/equiv.scm 160 */
																																					if (FOREIGNP(BgL_obj1z00_7))
																																						{	/* Ieee/equiv.scm 162 */
																																							if (FOREIGNP(BgL_obj2z00_8))
																																								{	/* Ieee/equiv.scm 163 */
																																									return
																																										FOREIGN_EQP
																																										(BgL_obj1z00_7,
																																										BgL_obj2z00_8);
																																								}
																																							else
																																								{	/* Ieee/equiv.scm 163 */
																																									return
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																					else
																																						{	/* Ieee/equiv.scm 162 */
																																							if (BGL_WEAKPTRP(BgL_obj1z00_7))
																																								{	/* Ieee/equiv.scm 164 */
																																									if (BGL_WEAKPTRP(BgL_obj2z00_8))
																																										{
																																											obj_t
																																												BgL_obj2z00_2256;
																																											obj_t
																																												BgL_obj1z00_2254;
																																											BgL_obj1z00_2254
																																												=
																																												bgl_weakptr_data
																																												(BgL_obj1z00_7);
																																											BgL_obj2z00_2256
																																												=
																																												bgl_weakptr_data
																																												(BgL_obj2z00_8);
																																											BgL_obj2z00_8
																																												=
																																												BgL_obj2z00_2256;
																																											BgL_obj1z00_7
																																												=
																																												BgL_obj1z00_2254;
																																											goto
																																												BGl_equalzf3zf3zz__r4_equivalence_6_2z00;
																																										}
																																									else
																																										{	/* Ieee/equiv.scm 165 */
																																											return
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Ieee/equiv.scm 164 */
																																									return
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}

	}



/* &equal? */
	obj_t BGl_z62equalzf3z91zz__r4_equivalence_6_2z00(obj_t BgL_envz00_1938,
		obj_t BgL_obj1z00_1939, obj_t BgL_obj2z00_1940)
	{
		{	/* Ieee/equiv.scm 99 */
			return
				BBOOL(BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_obj1z00_1939,
					BgL_obj2z00_1940));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__r4_equivalence_6_2z00(void)
	{
		{	/* Ieee/equiv.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__r4_equivalence_6_2z00(void)
	{
		{	/* Ieee/equiv.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__r4_equivalence_6_2z00(void)
	{
		{	/* Ieee/equiv.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__r4_equivalence_6_2z00(void)
	{
		{	/* Ieee/equiv.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1649z00zz__r4_equivalence_6_2z00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string1649z00zz__r4_equivalence_6_2z00));
		}

	}

#ifdef __cplusplus
}
#endif
